<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Add Vehicle Model</strong>
        </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="saveForm" autocomplete="off" #f="ngForm" class="form-horizontal" (ngSubmit)="addVehiclemodel()">

          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle model <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Vehicle model" formControlName="name" maxlength="20" class="form-control"
                required>
              <div class="error-msg" *ngIf="saveForm.controls['name'].invalid && (saveForm.controls['name'].dirty || saveForm.controls['name'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['name'].errors.required">
                  Vehicle model is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle Category</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Category" formControlName="vehicle_category" multiple>
                <mat-option *ngFor="let cat of CategoryData" [value]="cat">{{ cat.name }}</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle model image</label>
            <div class="col-md-10">
              <image-upload [extensions]="['jpeg','jpg','png']" [max]="1" [buttonCaption]="'Select Image'"
                [maxFileSize]="1048576" (removed)="onRemoved($event)" (uploadFinished)="imageFinishedUploading($event)"
                onclick="messageIfNoImage($event)">
              </image-upload>
              <span *ngIf="spandata=='yes'" class="clearimage">
                Remove old image before new upload.
              </span><br>
              <span class="image-format">
                Only jpeg, jpg, png formats are allowed.
              </span>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/fleet/vehicle-model']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>